# Method: otherContacts.list

- [HTTP request](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.response_body)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.ListOtherContactsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/otherContacts/list#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/otherContacts/list#try-it)

List all "Other contacts", that is contacts that are not in a contact group. "Other contacts" are typically auto created contacts from interactions.

Sync tokens expire 7 days after the full sync. A request with an expired sync token will get an error with an [google.rpc.ErrorInfo](https://cloud.google.com/apis/design/errors#error_info) with reason "EXPIRED_SYNC_TOKEN". In the case of such an error clients should make a full sync request without a `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS.sync_token`.

The first page of a full sync request has an additional quota. If the quota is exceeded, a 429 error will be returned. This quota is fixed and can not be increased.

When the `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS.sync_token` is specified, resources deleted since the last sync will be returned as a person with `https://developers.google.com/people/api/rest/v1/people#Person.PersonMetadata.FIELDS.deleted` set to true.

When the `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS.page_token` or `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS.sync_token` is specified, all other request parameters must match the first call.

Writes may have a propagation delay of several minutes for sync requests. Incremental syncs are not intended for read-after-write use cases.

See example usage at [List the user's other contacts that have changed](https://developers.google.com/people/v1/other-contacts#list_the_users_other_contacts_that_have_changed).

### HTTP request

`GET https://people.googleapis.com/v1/otherContacts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Optional. A page token, received from a previous response `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.ListOtherContactsResponse.FIELDS.next_page_token`. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://developers.google.com/people/api/rest/v1/otherContacts/list#google.people.v1.PeopleService.ListOtherContacts` must match the first call that provided the page token. |
| `pageSize` | `integer` Optional. The number of "Other contacts" to include in the response. Valid values are between 1 and 1000, inclusive. Defaults to 100 if not set or set to 0. |
| `requestSyncToken` | `boolean` Optional. Whether the response should return `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.ListOtherContactsResponse.FIELDS.next_sync_token` on the last page of results. It can be used to get incremental changes since the last request by setting it on the request `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.QUERY_PARAMETERS.sync_token`. More details about sync behavior at `https://developers.google.com/people/api/rest/v1/otherContacts/list#google.people.v1.PeopleService.ListOtherContacts`. |
| `syncToken` | `string` Optional. A sync token, received from a previous response `https://developers.google.com/people/api/rest/v1/otherContacts/list#body.ListOtherContactsResponse.FIELDS.next_sync_token` Provide this to retrieve only the resources changed since the last request. When syncing, all other parameters provided to `https://developers.google.com/people/api/rest/v1/otherContacts/list#google.people.v1.PeopleService.ListOtherContacts` must match the first call that provided the sync token. More details about sync behavior at `https://developers.google.com/people/api/rest/v1/otherContacts/list#google.people.v1.PeopleService.ListOtherContacts`. |
| `readMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. A field mask to restrict which fields on each person are returned. Multiple fields can be specified by separating them with commas. What values are valid depend on what ReadSourceType is used. If READ_SOURCE_TYPE_CONTACT is used, valid values are: - emailAddresses - metadata - names - phoneNumbers - photos If READ_SOURCE_TYPE_PROFILE is used, valid values are: - addresses - ageRanges - biographies - birthdays - calendarUrls - clientData - coverPhotos - emailAddresses - events - externalIds - genders - imClients - interests - locales - locations - memberships - metadata - miscKeywords - names - nicknames - occupations - organizations - phoneNumbers - photos - relations - sipAddresses - skills - urls - userDefined |
| `sources[]` | ``enum (`https://developers.google.com/people/api/rest/v1/ReadSourceType`)`` Optional. A mask of what source types to return. Defaults to `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT` if not set. Possible values for this field are: - `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT` - `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT`,`https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_PROFILE` Specifying `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_PROFILE` without specifying `https://developers.google.com/people/api/rest/v1/ReadSourceType#ENUM_VALUES.READ_SOURCE_TYPE_CONTACT` is not permitted. |

### Request body

The request body must be empty.

### Response body

The response to a request for the authenticated user's "Other contacts".

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "otherContacts": [ { object (`https://developers.google.com/people/api/rest/v1/people#Person`) } ], "nextPageToken": string, "nextSyncToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `otherContacts[]` | ``object (`https://developers.google.com/people/api/rest/v1/people#Person`)`` The list of "Other contacts" returned as Person resources. "Other contacts" support a limited subset of fields. See ListOtherContactsRequest.request_mask for more detailed information. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `nextSyncToken` | `string` A token, which can be sent as `syncToken` to retrieve changes since the last request. Request must set `requestSyncToken` to return the sync token. |
| `totalSize` | `integer` The total number of other contacts in the list without pagination. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/contacts.other.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).